org.eclipse.oomph.targlets.core

## Class WorkspaceIUInfo

- java.lang.Object
- - org.eclipse.oomph.targlets.core.WorkspaceIUInfo

-     public final class WorkspaceIUInfo
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkspaceIUInfo(BackendContainer backendContainer, String projectName)`
    `WorkspaceIUInfo(BinaryResourceImpl.EObjectInputStream stream)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `BackendContainer` | `getBackendContainer()`
    `File` | `getLocation()`
    `String` | `getProjectName()`
    `int` | `hashCode()`
    `ResourcesUtil.ImportResult` | `importIntoWorkspace(IProgressMonitor monitor)`
    `String` | `toString()`
    `void` | `write(BinaryResourceImpl.EObjectOutputStream stream)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkspaceIUInfo

          public WorkspaceIUInfo(BackendContainer backendContainer,
                         String projectName)

    - #### WorkspaceIUInfo

          public WorkspaceIUInfo(BinaryResourceImpl.EObjectInputStream stream)
                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### write

          public void write(BinaryResourceImpl.EObjectOutputStream stream)
                     throws IOException

      Throws:
        `IOException`

    - #### getBackendContainer

          public BackendContainer getBackendContainer()

    - #### getProjectName

          public String getProjectName()

    - #### getLocation

          public File getLocation()

    - #### importIntoWorkspace

          public ResourcesUtil.ImportResult importIntoWorkspace(IProgressMonitor monitor)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html